import moviepy.editor as mp

def get_subclips(source_video_path, moments):
    vid = mp.VideoFileClip(source_video_path)
    clips = []
    for m in moments:
        clips.append(vid.subclip(m.start, m.stop))
    return clips, vid

def render_moments(moments, input_video_path, output_path):
        clips, vid = get_subclips(input_video_path, moments)
        to_render = mp.concatenate_videoclips(clips)
        to_render.write_videofile(output_path, logger=None)

def filter_moments(moments, min_length, max_length):
    return [m for m in moments if m.get_duration() > min_length and m.get_duration() < max_length]
